html, body {
    position: relative;
    height: 100%;
    margin: 0;
    padding: 0;
    background-color: #121212;
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    text-align: center;
    background: #121212;
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain; /* Ensures the whole page fits without being cut off */
}

/* Adjusting Swiper controls */
:root {
    --swiper-theme-color: #e0e0e0;
}

.swiper-button-next, .swiper-button-prev {
    background-color: rgba(0, 0, 0, 0.4);
    padding: 30px 20px;
    border-radius: 8px;
    color: white;
}

.swiper-button-next:after, .swiper-button-prev:after {
    font-size: 24px;
    font-weight: bold;
}

.swiper-pagination-fraction {
    background-color: rgba(0, 0, 0, 0.4);
    color: white;
    padding: 10px 20px;
    border-radius: 8px;
    font-size: 18px;
    font-weight: bold;
    width: auto;
    left: 50%;
    bottom: 20px;
    transform: translateX(-50%);
}
